<?php
/**
 * Template Name: Home Template
 */

get_header(); ?>

<main id="skip-content">
  <section id="top-slider">
    <?php $business_lawyer_firm_slide_pages = array();
      for ( $business_lawyer_firm_count = 1; $business_lawyer_firm_count <= 3; $business_lawyer_firm_count++ ) {
        $business_lawyer_firm_mod = intval( get_theme_mod( 'business_lawyer_firm_top_slider_page' . $business_lawyer_firm_count ));
        if ( 'page-none-selected' != $business_lawyer_firm_mod ) {
          $business_lawyer_firm_slide_pages[] = $business_lawyer_firm_mod;
        }
      }
      if( !empty($business_lawyer_firm_slide_pages) ) :
        $business_lawyer_firm_args = array(
          'post_type' => 'page',
          'post__in' => $business_lawyer_firm_slide_pages,
          'orderby' => 'post__in'
        );
        $business_lawyer_firm_query = new WP_Query( $business_lawyer_firm_args );
        if ( $business_lawyer_firm_query->have_posts() ) :
          $i = 1;
    ?>
    <div class="owl-carousel" role="listbox">
      <?php  while ( $business_lawyer_firm_query->have_posts() ) : $business_lawyer_firm_query->the_post(); ?>
        <div class="slider-box">
          <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>"/>
          <div class="slider-inner-box">
            <h1><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
            <div class="slider-box-btn mt-4">
              <a href="<?php the_permalink(); ?>"><?php esc_html_e('Learn More','business-lawyer-firm'); ?></a>
            </div>
          </div>
        </div>
      <?php $i++; endwhile;
      wp_reset_postdata();?>
    </div>
    <?php else : ?>
      <div class="no-postfound"></div>
    <?php endif;
    endif;?>
  </section>

  <section id="projects" class="py-5 text-center">
    <div class="container">
      <?php if(get_theme_mod('business_lawyer_firm_projects_title') != ''){ ?>
        <h2><?php echo esc_html(get_theme_mod('business_lawyer_firm_projects_title')); ?></h2>
      <?php }?>
      <?php if(get_theme_mod('business_lawyer_firm_projects_text') != ''){ ?>
        <p class="mb-5"><?php echo esc_html(get_theme_mod('business_lawyer_firm_projects_text')); ?></p>
      <?php }?>

      <div class="row">
        <div class="col-lg-4 col-md-4 col-sm-4">
          <?php $business_lawyer_firm_project_section = array();
            $business_lawyer_firm_mod = intval( get_theme_mod( 'business_lawyer_firm_project_section' ));
            if ( 'page-none-selected' != $business_lawyer_firm_mod ) {
              $business_lawyer_firm_project_section[] = $business_lawyer_firm_mod;
            }
            if( !empty($business_lawyer_firm_project_section) ) :
            $business_lawyer_firm_args = array(
              'post_type' => 'post',
              'post__in' => $business_lawyer_firm_project_section,
              'orderby' => 'post__in'
            );
            $business_lawyer_firm_query = new WP_Query( $business_lawyer_firm_args );
            if ( $business_lawyer_firm_query->have_posts() ) :
          ?>
          <?php while ( $business_lawyer_firm_query->have_posts() ) : $business_lawyer_firm_query->the_post(); ?>
            <div class="box">
              <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" class="w-100"/>
              <div class="box-content">
                <h3 class="title"><?php the_title(); ?></h3>
                <p class="post"><?php echo wp_trim_words( get_the_content(), 10 ); ?></p>
                <div class="readmore">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('LEARN MORE','business-lawyer-firm'); ?></a>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();?>
          <?php else : ?>
            <div class="no-postfound"></div>
          <?php endif;
          endif;?>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-8">
          <?php $business_lawyer_firm_other_project_section = array();
            for ($i=1; $i <= 4; $i++) {
              $business_lawyer_firm_mod = intval( get_theme_mod( 'business_lawyer_firm_other_project_section' .$i));
              if ( 'page-none-selected' != $business_lawyer_firm_mod ) {
                $business_lawyer_firm_other_project_section[] = $business_lawyer_firm_mod;
              }
            }
            if( !empty($business_lawyer_firm_other_project_section) ) :
            $business_lawyer_firm_args = array(
              'post_type' => 'post',
              'post__in' => $business_lawyer_firm_other_project_section,
              'orderby' => 'post__in'
            );
            $business_lawyer_firm_query = new WP_Query( $business_lawyer_firm_args );
            if ( $business_lawyer_firm_query->have_posts() ) :
              $i = 1;
          ?>
          <div class="row">
            <?php while ( $business_lawyer_firm_query->have_posts() ) : $business_lawyer_firm_query->the_post(); ?>
              <div class="col-lg-6 col-md-6">
                <div class="box">
                  <img src="<?php esc_url(the_post_thumbnail_url('full')); ?>" class="w-100"/>
                  <div class="box-content">
                    <h3 class="title"><?php the_title(); ?></h3>
                    <p class="post"><?php echo wp_trim_words( get_the_content(), 10 ); ?></p>
                    <div class="readmore">
                      <a href="<?php the_permalink(); ?>"><?php esc_html_e('LEARN MORE','business-lawyer-firm'); ?></a>
                    </div>
                  </div>
                </div>
              </div>
            <?php $i++; endwhile;
            wp_reset_postdata();?>
            <?php else : ?>
              <div class="no-postfound"></div>
            <?php endif;
            endif;?>
          </div>
        </div>
      </div>
    </div>
  </section>

  <section id="page-content">
    <div class="container">
      <div class="py-5">
        <?php
          if ( have_posts() ) :
            while ( have_posts() ) : the_post();
              the_content();
            endwhile;
          endif;
        ?>
      </div>
    </div>
  </section>
</main>

<?php get_footer(); ?>
